=== debian/changelog ===
ros-r2b2-kdl-parser (1.12.7-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 05:00:00 -0000

ros-r2b2-kdl-parser (1.12.6-5xenial) xenial; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 05:00:00 -0000

ros-r2b2-kdl-parser (1.12.5-5xenial) xenial; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 04:00:00 -0000

ros-r2b2-kdl-parser (1.12.4-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 04:00:00 -0000

ros-r2b2-kdl-parser (1.12.3-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 04:00:00 -0000

ros-r2b2-kdl-parser (1.12.2-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 04:00:00 -0000

ros-r2b2-kdl-parser (1.12.1-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.8-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.7-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.6-5xenial) xenial; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 05:00:00 -0000

ros-r2b2-kdl-parser (1.11.5-5xenial) xenial; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.4-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.3-5xenial) xenial; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.2-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.1-5xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 04:00:00 -0000

ros-r2b2-kdl-parser (1.11.0-5xenial) xenial; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 05:00:00 -0000

ros-r2b2-kdl-parser (1.10.18-5xenial) xenial; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 05:00:00 -0000

ros-r2b2-kdl-parser (1.10.16-5xenial) xenial; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 05:00:00 -0000

ros-r2b2-kdl-parser (1.10.15-5xenial) xenial; urgency=high

  * fix #30 <https://github.com/ros/robot_model/issues/30>

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 04:00:00 -0000
